Package org.eclipse.m2m.atl.emftvm.util

## Class LazyCollection.IntegerRangeListIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator<java.lang.Integer>
    - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.IntegerRangeListIterator

All Implemented Interfaces:
  `java.util.Iterator<java.lang.Integer>`, `java.util.ListIterator<java.lang.Integer>`

Enclosing class:
  LazyCollection<E>

    public static class LazyCollection.IntegerRangeListIterator
    extends LazyCollection.ReadOnlyListIterator<java.lang.Integer>

`LazyCollection.ReadOnlyIterator` for `Integer` ranges.

### Field Summary

Fields
`protected int` `first`
`protected int` `index`
`protected int` `last`

### Constructor Summary

Constructors
`IntegerRangeListIterator​(int first, int last)` Creates a new `LazyCollection.IntegerRangeListIterator`.
`IntegerRangeListIterator​(int first, int last, int index)` Creates a new `LazyCollection.IntegerRangeListIterator`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`boolean` `hasPrevious()`
`java.lang.Integer` `next()`
`int` `nextIndex()`
`java.lang.Integer` `previous()`
`int` `previousIndex()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator

`add, set`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Methods inherited from interface java.util.ListIterator

`remove`

### Field Detail

#### first

    protected final int first

#### last

    protected final int last

#### index

    protected int index

### Constructor Detail

#### IntegerRangeListIterator

    public IntegerRangeListIterator​(int first,
                                    int last)

Creates a new `LazyCollection.IntegerRangeListIterator`.

Parameters:
  `first` - the first element of the range
  `last` - the last element of the range

#### IntegerRangeListIterator

    public IntegerRangeListIterator​(int first,
                                    int last,
                                    int index)

Creates a new `LazyCollection.IntegerRangeListIterator`.

Parameters:
  `first` - the first element of the range
  `last` - the last element of the range
  `index` - the starting index of the list iterator

### Method Detail

#### hasNext

    public boolean hasNext()

#### next

    public java.lang.Integer next()

#### hasPrevious

    public boolean hasPrevious()

#### previous

    public java.lang.Integer previous()

#### nextIndex

    public int nextIndex()

#### previousIndex

    public int previousIndex()